## org.openorb.compiler.object
Class IdlValueInheritance

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlValueInheritance

All Implemented Interfaces:
  idlObject, java.io.Serializable

public class IdlValueInheritance
extends IdlObject

This class represents the IDL Value Box object

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`boolean` `_trunc` Indicates if this member is truncatable

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlValueInheritance(IdlObject father)` Creates an IDL Attribute object

Method Summary
`IdlValue` `getValue()` Returns the value definition
`boolean` `truncatable_member()` Set if this member is truncatable
`void` `truncatable_member(boolean value)` Returns is member truncatable

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _trunc

    public boolean _trunc

  Indicates if this member is truncatable

Constructor Detail

### IdlValueInheritance

    public IdlValueInheritance(IdlObject father)

  Creates an IDL Attribute object

Method Detail

### truncatable_member

    public boolean truncatable_member()

  Set if this member is truncatable

### truncatable_member

    public void truncatable_member(boolean value)

  Returns is member truncatable

### getValue

    public IdlValue getValue()

  Returns the value definition